
int oneArray[] = {1,1,1,0,1,1,0,1}; 
int twoArray[] = {1,1,1,0,1,1,0,1, 0}; // Position 8 is a spare data holder
const int touchPin = 1;
const int oneWOOD  = 2;
const int twoWOOD  = 3;

int currentRound = 0;
int currentBeat = 0;

int STATUS = 1;



void setup() {
  pinMode(oneWOOD, OUTPUT);
  pinMode(twoWOOD, OUTPUT);
  pinMode(13, OUTPUT);
  attachInterrupt (digitalPinToInterrupt (touchPin), switchTouched, RISING);
  Serial.begin(9600);
}


void switchTouched()
{
    if (digitalRead(touchPin) == HIGH) {
        Serial.println("switched");
        digitalWrite(13, HIGH);
        STATUS = 2;
    }
}


void loop(){
  switch (STATUS){
    
    // Case that plays through the arrays
    case 1:
      Serial.println("case1");
      digitalWrite(13, LOW);
      for(int beat = 0; beat < 7; beat++){
        if(oneArray[beat] == 1){
          
          digitalWrite(oneWOOD, HIGH);
          delay(100);
          digitalWrite(oneWOOD, LOW);
          
        }
        if(twoArray[beat] == 1){
          digitalWrite(twoWOOD, HIGH);
          delay(100);
          digitalWrite(twoWOOD, LOW);
        } 
        if(oneArray[beat] == 0){
          digitalWrite(oneWOOD, LOW);
          delay(100);
        } 
        if(twoArray[beat] == 0){
          digitalWrite(twoWOOD, LOW);
          delay(100);
        } 
    }
    
    // Case that shifts forward the second array
    case 2:
      for(int i = 0; i < 7; i++){
        if(i == 0){
          twoArray[8] = twoArray[0];
          twoArray[0] = twoArray[1];
      } else {
          twoArray[i] = twoArray[i+1];
          Serial.println("case2");
          STATUS = 1;
      }

    
  }
}
}



  
